Skip to main content
GET
/
moment
Get Moment Info
curl --request GET \
  --url https://api.inprocess.world/api/moment
import requests

url = "https://api.inprocess.world/api/moment"

response = requests.get(url)

print(response.text)
const options = {method: 'GET'};

fetch('https://api.inprocess.world/api/moment', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "uri": "<string>",
  "owner": "<string>",
  "sale": {
    "pricePerToken": "<string>",
    "saleStart": "<string>",
    "saleEnd": "<string>",
    "currency": "<string>"
  },
  "soldOut": true,
  "admins": [
    "<string>"
  ],
  "metadata": {
    "name": "<string>",
    "image": "<string>",
    "description": "<string>",
    "content": {
      "mime": "<string>",
      "uri": "<string>"
    }
  }
}
{
"status": "error",
"message": "<string>",
"errors": [
{
"field": "<string>",
"message": "<string>"
}
]
}
{
"status": "error",
"message": "<string>",
"errors": [
{
"field": "<string>",
"message": "<string>"
}
]
}

Query Parameters

collectionAddress
string
required

The contract address of the Moment

tokenId
string
required

The token ID of the Moment

chainId
integer<int64>
default:8453

Chain ID of the collection (default: Base, 8453)

Response

Successful response

uri
string
required

Metadata URI of the moment

owner
string
required

Current owner address of the moment

sale
object
required
soldOut
boolean
required

True if the token's max supply has been fully minted

admins
string[]
required

Array of addresses with admin permissions

protocol
enum<string>
required

Protocol the collection belongs to

Available options:
in_process,
catalog,
sound.xyz
metadata
object

Moment metadata object